return function(R)
	R.Viewport={}

	function R.Viewport:new(w,h)
		local o={
			xofs=w/2,
			yofs=h/2,
		}
		setmetatable(o,self)
		self.__index=self
		return o
	end

    function R.Viewport:transform(x,y)
        return self.xofs+x,self.yofs+y
    end
end
